#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static library
#
Summary:	AV1 decoder library
Summary(pl.UTF-8):	Biblioteka dekodera AV1
Name:		dav1d
Version:	0.7.1
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://download.videolan.org/videolan/dav1d/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	25f25e8a9bdf8de4b618767f1b01fc70
Patch0:		%{name}-nasm.patch
URL:		https://code.videolan.org/videolan/dav1d
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	meson >= 0.47.0
%ifarch %{ix86} %{x8664} x32
BuildRequires:	nasm >= 2.13.02
%endif
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
dav1d is a new AV1 cross-platform decoder, open-source, and focused on
speed and correctness.

%description -l pl.UTF-8
dav1d to nowy, wieloplatformowy dekoder AV1, mający otwarte źródła,
rozwijany głównie z myślą o szybkości i poprawności.

%package devel
Summary:	Header files for DAV1D library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki DAV1D
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for DAV1D library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki DAV1D.

%package static
Summary:	Static DAV1D library
Summary(pl.UTF-8):	Statyczna biblioteka DAV1D
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static DAV1D library.

%description static -l pl.UTF-8
Statyczna biblioteka DAV1D.

%package apidocs
Summary:	API documentation for DAV1D library
Summary(pl.UTF-8):	Dokumentacja API biblioteki DAV1D
Group:		Documentation

%description apidocs
API documentation for DAV1D library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki DAV1D.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	%{!?with_static_libs:--default-library=shared}

%ninja_build -C build all %{?with_apidocs:doc/html}

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING NEWS README.md THANKS.md doc/PATENTS
%attr(755,root,root) %{_bindir}/dav1d
%attr(755,root,root) %{_libdir}/libdav1d.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdav1d.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdav1d.so
%{_includedir}/dav1d
%{_pkgconfigdir}/dav1d.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdav1d.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/doc/html/*
%endif
%changelog
* Sun Jul 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dav1d.git;a=log;h=master

* Sun Jul 05 2020 Jakub Bogusz <qboosh@pld-linux.org> c981c4b
- updated to 0.7.1

* Wed May 27 2020 Jakub Bogusz <qboosh@pld-linux.org> 13ef8c6
- updated to 0.7.0

* Mon Mar 09 2020 Jakub Bogusz <qboosh@pld-linux.org> be1fe66
- updated to 0.6.0

* Tue Nov 05 2019 Jakub Bogusz <qboosh@pld-linux.org> 319a975
- updated to 0.5.1 (note: new soname)

* Mon Jul 22 2019 Jakub Bogusz <qboosh@pld-linux.org> dc551ad
- updated to 0.3.1

* Sun Apr 21 2019 Jakub Bogusz <qboosh@pld-linux.org> c32387d
- updated to 0.2.2

* Wed Apr 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 0ac586e
- added nasm patch (support elfx32 output); release 2

* Sat Apr 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 73ac964
- updated to 0.2.1 (new soname; fixed copy-pastos)

* Mon Feb 18 2019 Jakub Bogusz <qboosh@pld-linux.org> 7a1be2c
- new

